vCenter

 View Only
  • 1.  The destination does not support EFI firmware

    Posted Feb 12, 2019 04:39 PM

    Hi all,

    The same error with VMware vCenter Converter Standalone 6.0 and (the latest) 6.2 when attempting "Convert machine"

    I've tried 3 different ESXi servers as targets:
    - 2010 IBM with the latest ESXi 6.0
    - 2015 Lenovo with the latest ESXi 6.0
    - test VirtualBox VM with the latest ESXi 6.7 (which otherwise seems to be running fine).

    So it has likely something to do with the source machine: 2015 Dell running Debian 9.


    The partition table looks like below:

    GNU Parted 3.2

    Using /dev/sda

    Welcome to GNU Parted! Type 'help' to view a list of commands.

    (parted) print                                                           

    Model: DELL PERC H730P Mini (scsi)

    Disk /dev/sda: 4197GB

    Sector size (logical/physical): 512B/512B

    Partition Table: gpt

    Disk Flags:

    Number  Start   End     Size    File system  Name  Flags

    1      1049kB  511MB   510MB   fat16        uefi  boot, esp

    2      511MB   767MB   256MB   ext3         boot

    3      767MB   4197GB  4196GB               lvm   lvm

    Any idea how to fix it, i.e. get rid of the error preventing P2V?

    Thanks,
    Adam



  • 2.  RE: The destination does not support EFI firmware

    Broadcom Employee
    Posted Feb 12, 2019 04:47 PM

    From VMware vCenter Converter Standalone 6.2.0.1 Release Notes  - Debian is not supported distro.

    Converter asks ESX about supported options for recognized GOS including EFI. Unfortunately in your case the ESX's answer is "no".

    Try to find how to cheat Debian distribution to be recognized by Converter as previous version or different but supported GOS.

    HTH



  • 3.  RE: The destination does not support EFI firmware

    Posted Feb 13, 2019 08:05 AM

    Thanks, I will look into it.
    It comes as a bit of surprise as I can convert Debian 7 bare metal desktop installation just fine.

    I can see Ubuntu is supported but the latest version on the list is 16.04 released in 2016.
    Debian 9 launched in 2017.
    Is it likely a case of waiting for one of the next releases of Converter to be happy with it?

    Reluctance to support Debian seems to also apply to server hardware vendors such as Dell and Lenovo.
    They only generally go with RHEL/Centos.
    Any particular reason for that?
    Debian surely should be popular enough in production / enterprise to justify development and testing.
    Using Debian for many years I can't complain about coding quality or stability either.